Results 1 to 10 of 10

Thread: Can't upgrade to Hardy Heron.

  1. #1
    Join Date
    Mar 2006
    Beans
    52

    Can't upgrade to Hardy Heron.

    Ever since I installed Gutsy, I've been getting an error message whenever I check for updates. This wasn't a problem, because it didn't prevent me from updating.

    However, now that I want to upgrade to Hardy Heron, I'm getting the same error message, and the upgrade process stops.

    The error message is:-

    Failed to fetch http://archive.canonical.com/ubuntu/dists/hardy/Release Unable to find expected entry commercial/binary-i386/Packages in Meta-index file (malformed Release file?)

    Does anybody know how I can deal with this, please?

    Thanks in advance,

    John

  2. #2
    Join Date
    Jun 2007
    Location
    Winnipeg
    Beans
    270
    Distro
    Ubuntu 11.04 Natty Narwhal

    Re: Can't upgrade to Hardy Heron.

    I think that I've got the same problem. Whenever I use the Update Manager or open the automatic update on the panel, I end up with the same thing.

    (Check the attached screenshot of the actual error message.)

    Prior to this error message, a different box popped up saying that Third Party Repositories would be disabled.

    What do I need to do to rectify this problem?
    Attached Images Attached Images
    AMD Athlon 64 X2 4200+, 2 Gb RAM, Gigabyte GA-K8N Pro-SLI, ASUS EN7950GT 512 Mb, 20" Samsung 205BW
    1TB SATA II HDD, 80GB IDE HDD,
    ASUS M50VM

  3. #3
    Join Date
    Jun 2007
    Location
    Winnipeg
    Beans
    270
    Distro
    Ubuntu 11.04 Natty Narwhal

    Re: Can't upgrade to Hardy Heron.

    Can anyone help us out?
    AMD Athlon 64 X2 4200+, 2 Gb RAM, Gigabyte GA-K8N Pro-SLI, ASUS EN7950GT 512 Mb, 20" Samsung 205BW
    1TB SATA II HDD, 80GB IDE HDD,
    ASUS M50VM

  4. #4
    Join Date
    Jun 2007
    Beans
    15

    Re: Can't upgrade to Hardy Heron.

    same issue for me. I am upgrading to 8.04 from 7.10 via the alternate CD. Following the popup that tells me that third party repositories have been disabled I get:

    Could not download the upgrades

    The upgrade aborts now. Please check your internet connection or installation media and try again.

    Failed to fetch http://ca.archive.ubuntu.com/ubuntu/...untu4_i386.deb 404 Not Found
    Failed to fetch http://ca.archive.ubuntu.com/ubuntu/...untu4_i386.deb 404 Not Found
    Failed to fetch http://ca.archive.ubuntu.com/ubuntu/...untu1_i386.deb 404 Not Found
    Failed to fetch http://ca.archive.ubuntu.com/ubuntu/...untu4_i386.deb 404 Not Found
    Failed to fetch http://ca.archive.ubuntu.com/ubuntu/...4-1.4_i386.deb 404 Not Found
    Failed to fetch http://ca.archive.ubuntu.com/ubuntu/...untu3_i386.deb 404 Not Found
    Failed to fetch http://ca.archive.ubuntu.com/ubuntu/...untu3_i386.deb 404 Not Found
    Failed to fetch http://ca.archive.ubuntu.com/ubuntu/...uild1_i386.deb ...etc...

  5. #5
    Join Date
    Oct 2007
    Location
    France
    Beans
    21
    Distro
    Ubuntu 8.04 Hardy Heron

    Re: Can't upgrade to Hardy Heron.

    I got similar errors. I've commented (add # at the line's start) all bad lines in my sources.list. Then, apt-get update and the update-manager worked.

  6. #6
    Join Date
    Jun 2007
    Beans
    15

    Re: Can't upgrade to Hardy Heron.

    Okdoke, for lack of anything else to do I commented out a couple of lines in my sources.list (all third party stuff) and, in addition, tried this too. 36 minutes and I will know... NOTE that the third party sources had already been removed.

    # deb cdrom:[Ubuntu 8.04 _Hardy Heron_ - Release i386 (20080423)]/ hardy main restricted
    # deb http://packages.medibuntu.org/ gutsy free non-free

    thanks for the help! hope it works...

    if this doesn't I will switch back to doing a clean install with the live cd - and hope that this time it recognises that it can import my settings from 7.10.

  7. #7
    Join Date
    Mar 2007
    Location
    Here & Now
    Beans
    16,549
    Distro
    Ubuntu 11.04 Natty Narwhal

    Re: Can't upgrade to Hardy Heron.

    You can also try changing Servers if you are sure of your connection.

    Dr. Fernando Duran Dollenz
    Libertad 584
    6824871

  8. #8
    Join Date
    Jun 2007
    Beans
    15

    Re: Can't upgrade to Hardy Heron.

    that worked for me . But I decided to add a new user (to start with the 8.04 default settings) and then copy all of my files over and made a small mistake with a chown statement by applying it recursively to the / ... nothing works now so I am trying to repartition and install that way.


  9. #9
    Join Date
    Mar 2007
    Location
    Here & Now
    Beans
    16,549
    Distro
    Ubuntu 11.04 Natty Narwhal

    Re: Can't upgrade to Hardy Heron.

    Good luck.

    Dr. Fernando Duran Dollenz
    Libertad 584
    6824871

  10. #10
    Join Date
    Jun 2007
    Location
    Winnipeg
    Beans
    270
    Distro
    Ubuntu 11.04 Natty Narwhal

    Re: Can't upgrade to Hardy Heron.

    Hey guys, I think I may have found the answer, at least it worked for me. I was reading elsewhere and came across this:

    At a guess, /etc/apt/sources.list is still full of gutsy repositories rather than hardy. What you want is something like:

    deb http://us.archive.ubuntu.com/ubuntu/ hardy main restricted
    deb-src http://us.archive.ubuntu.com/ubuntu/ hardy main restricted
    deb http://us.archive.ubuntu.com/ubuntu/ hardy-updates main restricted
    deb-src http://us.archive.ubuntu.com/ubuntu/ hardy-updates main restricted
    deb http://us.archive.ubuntu.com/ubuntu/ hardy universe
    deb-src http://us.archive.ubuntu.com/ubuntu/ hardy universe
    deb http://us.archive.ubuntu.com/ubuntu/ hardy-updates universe
    deb-src http://us.archive.ubuntu.com/ubuntu/ hardy-updates universe
    deb http://us.archive.ubuntu.com/ubuntu/ hardy multiverse
    deb-src http://us.archive.ubuntu.com/ubuntu/ hardy multiverse
    deb http://us.archive.ubuntu.com/ubuntu/ hardy-updates multiverse
    deb-src http://us.archive.ubuntu.com/ubuntu/ hardy-updates multiverse
    deb http://archive.canonical.com/ubuntu hardy partner
    deb-src http://archive.canonical.com/ubuntu hardy partner
    deb http://security.ubuntu.com/ubuntu hardy-security main restricted
    deb-src http://security.ubuntu.com/ubuntu hardy-security main restricted
    deb http://security.ubuntu.com/ubuntu hardy-security universe
    deb-src http://security.ubuntu.com/ubuntu hardy-security universe
    deb http://security.ubuntu.com/ubuntu hardy-security multiverse
    deb-src http://security.ubuntu.com/ubuntu hardy-security multiverse

    So, using gedit, I opened the sources.list file, commented out all the files that had "gutsy" in them and copied the entire block (see above) to the bottom. After that the install proceeded with no major issues!! The only thing I needed to do after that was to activate the proprietary nvidia driver. I have to say, hardy rocks! Good luck!!
    AMD Athlon 64 X2 4200+, 2 Gb RAM, Gigabyte GA-K8N Pro-SLI, ASUS EN7950GT 512 Mb, 20" Samsung 205BW
    1TB SATA II HDD, 80GB IDE HDD,
    ASUS M50VM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •